Get snapshot information

Auth
Note

The after parameter and next field enable you to iterate through snapshots with some consistency guarantees regarding concurrent creation or deletion of snapshots. It is guaranteed that any snapshot that exists at the beginning of the iteration and is not concurrently deleted will be seen during the iteration. Snapshots concurrently created may be seen during an iteration.

Required privileges

Cluster privileges monitor_snapshot

Path parameters

repository string required

A comma-separated list of snapshot repository names used to limit the request. Wildcard (*) expressions are supported.

snapshot union string | string[] required

A comma-separated list of snapshot names to retrieve Wildcards (*) are supported.

  • To get information about all snapshots in a registered repository, use a wildcard (*) or _all.
  • To get information about any snapshots that are currently running, use _current.

Query parameters

after string

An offset identifier to start pagination from as returned by the next field in the response body.

from_sort_value string

The value of the current sort column at which to start retrieval. It can be a string snapshot- or a repository name when sorting by snapshot or repository name. It can be a millisecond time value or a number when sorting by index- or shard count.

ignore_unavailable boolean · default: false

If false, the request returns an error for any snapshots that are unavailable.

index_details boolean · default: false

If true, the response includes additional information about each index in the snapshot comprising the number of shards in the index, the total size of the index in bytes, and the maximum number of segments per shard in the index. The default is false, meaning that this information is omitted.

index_names boolean · default: true

If true, the response includes the name of each index in each snapshot.

include_repository boolean · default: true

If true, the response includes the repository name in each snapshot.

master_timeout union oneOf · default: 30s

The period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0
order enum · default: asc

The sort order. Valid values are asc for ascending and desc for descending order. The default behavior is ascending order.

Supported values include:

  • asc: Ascending (smallest to largest)
  • desc: Descending (largest to smallest)
Values: asc desc
offset number · default: 0

Numeric offset to start pagination from based on the snapshots matching this request. Using a non-zero value for this parameter is mutually exclusive with using the after parameter. Defaults to 0.

size number · default: -1

The maximum number of snapshots to return. The default is -1, which means to return all that match the request without limit.

slm_policy_filter string

Filter snapshots by a comma-separated list of snapshot lifecycle management (SLM) policy names that snapshots belong to.

You can use wildcards (*) and combinations of wildcards followed by exclude patterns starting with -. For example, the pattern *,-policy-a-\* will return all snapshots except for those that were created by an SLM policy with a name starting with policy-a-. Note that the wildcard pattern * matches all snapshots created by an SLM policy but not those snapshots that were not created by an SLM policy. To include snapshots that were not created by an SLM policy, you can use the special pattern _none that will match all snapshots without an SLM policy.

sort enum · default: start_time

The sort order for the result. The default behavior is sorting by snapshot start time stamp.

Values: start_time duration name index_count repository shard_count failed_shard_count
verbose boolean · default: true

If true, returns additional information about each snapshot such as the version of Elasticsearch which took the snapshot, the start and end times of the snapshot, and the number of shards snapshotted.

Note

The parameters size, order, after, from_sort_value, offset, slm_policy_filter, and sort are not supported when you set verbose=false and the sort order for requests with verbose=false is undefined.

Response

application/json
remaining number required

The number of remaining snapshots that were not returned due to size limits and that can be fetched by additional requests using the next field value.

total number required

The total number of snapshots that match the request when ignoring the size limit or after query parameter.

next string

If the request contained a size limit and there might be more results, a next field will be added to the response. It can be used as the after query parameter to fetch additional results.

snapshots object[]
Same fields as snapshots in responses